summaryrefslogtreecommitdiffstats
path: root/source/a/mdadm
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/mdadm')
-rw-r--r--source/a/mdadm/doinst.sh12
-rw-r--r--source/a/mdadm/mdadm-2.6.4.tar.bz2.sign8
-rwxr-xr-xsource/a/mdadm/mdadm.SlackBuild73
-rw-r--r--source/a/mdadm/mdadm.static.small.diff20
-rw-r--r--source/a/mdadm/slack-desc19
5 files changed, 132 insertions, 0 deletions
diff --git a/source/a/mdadm/doinst.sh b/source/a/mdadm/doinst.sh
new file mode 100644
index 000000000..a6a71c731
--- /dev/null
+++ b/source/a/mdadm/doinst.sh
@@ -0,0 +1,12 @@
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config etc/mdadm.conf.new
diff --git a/source/a/mdadm/mdadm-2.6.4.tar.bz2.sign b/source/a/mdadm/mdadm-2.6.4.tar.bz2.sign
new file mode 100644
index 000000000..36b614805
--- /dev/null
+++ b/source/a/mdadm/mdadm-2.6.4.tar.bz2.sign
@@ -0,0 +1,8 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.4.7 (GNU/Linux)
+Comment: See http://www.kernel.org/signature.html for info
+
+iD8DBQBHGC8JyGugalF9Dw4RArGIAJ9W38h+Mb/c62Ia6kn+TiDfd8ZxJQCfXEY8
+FdGihwdJnxz8cK3+VC4rmZs=
+=+YBi
+-----END PGP SIGNATURE-----
diff --git a/source/a/mdadm/mdadm.SlackBuild b/source/a/mdadm/mdadm.SlackBuild
new file mode 100755
index 000000000..45cc83b31
--- /dev/null
+++ b/source/a/mdadm/mdadm.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=2.6.4
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-mdadm
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf mdadm-$VERSION
+tar xjvf $CWD/mdadm-$VERSION.tar.bz2
+cd mdadm-$VERSION
+
+# Build this static... it's small enough.
+zcat $CWD/mdadm.static.small.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make clean || exit 1
+make || exit 1
+#make mdadm.static
+make install DESTDIR=$PKG || exit 1
+#cat mdadm.static > $PKG/sbin/mdadm
+mv $PKG/usr/share/man $PKG/usr
+rmdir $PKG/usr/share
+mkdir -p $PKG/etc
+cat mdadm.conf-example > $PKG/etc/mdadm.conf.new
+gzip -9 $PKG/usr/man/man?/*.?
+mkdir -p $PKG/usr/doc/mdadm-$VERSION
+cp -a \
+ ANNOUNCE-$VERSION COPYING* ChangeLog INSTALL TODO \
+ $PKG/usr/doc/mdadm-$VERSION
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+makepkg -l y -c n $TMP/mdadm-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/a/mdadm/mdadm.static.small.diff b/source/a/mdadm/mdadm.static.small.diff
new file mode 100644
index 000000000..6be02fda5
--- /dev/null
+++ b/source/a/mdadm/mdadm.static.small.diff
@@ -0,0 +1,20 @@
+--- ./Makefile.orig 2006-06-15 19:21:52.000000000 -0500
++++ ./Makefile 2006-06-25 00:28:24.000000000 -0500
+@@ -39,7 +39,7 @@
+
+ CC = $(CROSS_COMPILE)gcc
+ CXFLAGS = -ggdb
+-CWFLAGS = -Wall -Werror -Wstrict-prototypes
++CWFLAGS = -Wall -Werror -Wstrict-prototypes -Os
+
+ ifdef DEBIAN
+ CPPFLAGS= -DDEBIAN
+@@ -55,7 +55,7 @@
+ CFLAGS = $(CWFLAGS) $(CXFLAGS) -DSendmail=\""$(MAILCMD)"\" $(CONFFILEFLAGS)
+
+ # If you want a static binary, you might uncomment these
+-# LDFLAGS = -static
++LDFLAGS = -static
+ # STRIP = -s
+
+ INSTALL = /usr/bin/install
diff --git a/source/a/mdadm/slack-desc b/source/a/mdadm/slack-desc
new file mode 100644
index 000000000..984da7f3d
--- /dev/null
+++ b/source/a/mdadm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mdadm: mdadm (manage RAID arrays)
+mdadm:
+mdadm: mdadm is a utility program for creating, managing, and monitoring
+mdadm: Linux MD (Software RAID) devices. Unlike the older raidtools
+mdadm: package, mdadm is a single program (which should make it easier to
+mdadm: use).
+mdadm:
+mdadm: mdadm was written by Neil Brown. Development of mdadm is sponsored
+mdadm: by CSE@UNSW (The School of Computer Science and Engineering at
+mdadm: The University of New South Wales).
+mdadm: